Skip to main content
GET
/
v1
/
projects
/
{project_id}
Get project details
curl --request GET \
  --url https://vcm-fyi-api.fly.dev/v1/projects/{project_id} \
  --header 'X-API-KEY: <api-key>'
{
  "project_id": "<string>",
  "name": "<string>",
  "registry": "<string>",
  "proponent": "<string>",
  "category": "<string>",
  "status": "<string>",
  "country": "<string>",
  "listed_at": "2023-12-25",
  "is_compliance": true,
  "first_issuance_at": "2023-12-25",
  "first_retirement_at": "2023-12-25",
  "project_url": "<string>",
  "project_type": "<string>",
  "project_type_source": "<string>",
  "protocol": [
    "<string>"
  ],
  "protocol_version": [
    "<string>"
  ],
  "retired": 0,
  "issued": 0,
  "sdg_goals": [
    123
  ],
  "certifications": [
    "<string>"
  ],
  "has_ccb": true,
  "has_icvcm_ccp": true,
  "has_corsia": true,
  "has_sdvista": true,
  "has_social_carbon": true,
  "article6_authorized": true,
  "article6_countries": [
    "<string>"
  ],
  "article6_authorization_types": [
    "<string>"
  ],
  "corc_durability": "<string>",
  "clips": [
    {
      "date": "2023-12-25",
      "title": "<string>",
      "url": "<string>",
      "source": "<string>",
      "tags": [
        "<string>"
      ],
      "notes": "<string>",
      "is_waybacked": false,
      "type": "unknown",
      "id": 123
    }
  ],
  "unretired": 123
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

project_id
string
required

Response

Full project details with news clips and computed fields

project_id
string
required

Project id used by registry system

name
string | null
required

Name of the project

registry
string
required

Name of the registry

proponent
string | null
required
category
string | null
required

Category of the project

status
string | null
required
country
string | null
required
listed_at
string<date> | null
required

Date project was listed

is_compliance
boolean | null
required

Whether project is compliance project

first_issuance_at
string<date> | null
required

Date of first issuance of credits

first_retirement_at
string<date> | null
required

Date of first retirement of credits

project_url
string | null
required

URL to project details

project_type
string | null
required

Type of project (e.g. ARB, VCS, etc.)

project_type_source
string | null
required

Source of project type information

protocol
string[] | null

List of protocols

protocol_version
string[] | null

List of protocol versions (parallel to protocol)

retired
integer | null
default:0

Total of retired credits

issued
integer | null
default:0

Total of issued credits

sdg_goals
integer[] | null

UN Sustainable Development Goals (1-17)

certifications
string[] | null

List of certification labels

has_ccb
boolean | null

Has CCB (Climate, Community & Biodiversity) certification

has_icvcm_ccp
boolean | null

Has ICVCM Core Carbon Principles certification

has_corsia
boolean | null

CORSIA eligible

has_sdvista
boolean | null

Has SD VISta certification

has_social_carbon
boolean | null

Has Social Carbon certification

article6_authorized
boolean | null

Authorized under Paris Agreement Article 6

article6_countries
string[] | null

Countries with Article 6 authorization

article6_authorization_types
string[] | null

Types of Article 6 authorization

corc_durability
string | null

CORC durability label (100+ or 1000+)

clips
Clip · object[] | null

List of clips associated with project

unretired
integer | null

Total of unretired credits (issued - retired)